return {
    "nvimtools/none-ls.nvim",
    dependencies = { "mason.nvim", "nvim-lua/plenary.nvim" },
    config = function()
        local null_ls = require("null-ls")
        null_ls.setup({
            root_dir = require("null-ls.utils").root_pattern(".git", "Makefile", "CMakeLists.txt", "build/", "meson.build"),
            sources = {
                null_ls.builtins.completion.spell,
                null_ls.builtins.code_actions.proselint,
                null_ls.builtins.diagnostics.proselint,
                null_ls.builtins.diagnostics.codespell,
                null_ls.builtins.diagnostics.shellcheck,
                null_ls.builtins.formatting.shellharden,
                null_ls.builtins.formatting.shfmt,
                -- null_ls.builtins.diagnostics.cppcheck,
                null_ls.builtins.diagnostics.selene
            }
        })
    end,
}
